#include <bits/stdc++.h>

using namespace std;
int N,K;

int main()
{
    scanf("%d%d",&N,&K);
    int a[N], r;
    for(int i=0;i<N;i++){
        scanf("%d",&a[i]);
        if(a[i]==K)r=i;
    }
    if(r==N-1)cout<<a[0];
    else cout<<a[r+1];

}